| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
DMADescriptor Struct Reference
Hardware Abstraction Layer LPC17XX

## Detailed Description

Definition at line 203 of file HAL_LPC17xx.h.

`#include "HAL_LPC17xx.h"`

## Data Fields
uint32_t | NextDD
uint16_t | Mode: 2
uint16_t | NextDDValid: 1
uint16_t | Isochronous: 1
uint16_t | MaxPacketSize: 11
__IO uint16_t | BufferLength
__IO uint8_t * | BufferStartAddr
__IO uint16_t | Retired: 1
uint16_t | Status: 4
uint16_t | IsoPacketValid: 1
uint16_t | LSByteExtracted: 1
uint16_t | MSByteExtracted: 1
uint16_t | MessageLengthPosition: 6
uint16_t | PresentCount
uint32_t | IsoBufferAddr

## Field Documentation

__IO uint16_t BufferLength

Definition at line 215 of file HAL_LPC17xx.h.

__IO uint8_t* BufferStartAddr

Definition at line 218 of file HAL_LPC17xx.h.

uint32_t IsoBufferAddr

Definition at line 233 of file HAL_LPC17xx.h.

uint16_t Isochronous

Definition at line 212 of file HAL_LPC17xx.h.

uint16_t IsoPacketValid

Definition at line 224 of file HAL_LPC17xx.h.

uint16_t LSByteExtracted

Definition at line 225 of file HAL_LPC17xx.h.

uint16_t MaxPacketSize

Definition at line 213 of file HAL_LPC17xx.h.

uint16_t MessageLengthPosition

Definition at line 227 of file HAL_LPC17xx.h.

uint16_t Mode

Definition at line 209 of file HAL_LPC17xx.h.

uint16_t MSByteExtracted

Definition at line 226 of file HAL_LPC17xx.h.

uint32_t NextDD

Definition at line 205 of file HAL_LPC17xx.h.

uint16_t NextDDValid

Definition at line 210 of file HAL_LPC17xx.h.

uint16_t PresentCount

Definition at line 230 of file HAL_LPC17xx.h.

__IO uint16_t Retired

Definition at line 222 of file HAL_LPC17xx.h.

uint16_t Status

Definition at line 223 of file HAL_LPC17xx.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Core/HAL/LPC17XX/HAL_LPC17xx.h